From 484d2839a1e04305a77cff64d143dd978d731094 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Mar 17 2017 09:59:16 +0000
Subject: [PATCH 804/1001] Provide defaults to allow importing the app when building the docs


---

diff --git a/hubs/app.py b/hubs/app.py
index a32788b..c8b5aca 100644
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -35,8 +35,10 @@ if 'HUBS_CONFIG' in os.environ:
 fedmsg_config = fedmsg.config.load_config()
 fedmsg.meta.make_processors(**fedmsg_config)
 
-session = hubs.models.init(fedmsg_config['hubs.sqlalchemy.uri'])
-datanommer.models.init(fedmsg_config['datanommer.sqlalchemy.uri'])
+session = hubs.models.init(
+    fedmsg_config.get('hubs.sqlalchemy.uri', 'sqlite:///'))
+datanommer.models.init(
+    fedmsg_config.get('datanommer.sqlalchemy.uri', 'sqlite:///'))
 
 
 @app.before_request

